<div class="nav-container">
  <mat-toolbar class="top-nav">
    <button
      type="button"
      aria-label="Toggle sidenav"
      mat-icon-button
      (click)="drawer.toggle()"
    >
      <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
    </button>

    <span class="spacer"></span>
  </mat-toolbar>
  <div class="loader">
    <mat-progress-bar
      mode="indeterminate"
      color="warn"
      *ngIf="isLoading"
    ></mat-progress-bar>
  </div>
  <mat-sidenav-container class="sidenav-container">
    <mat-sidenav
      fixedTopGap="50"
      #drawer
      class="cmd-sidenav"
      fixedInViewport
      [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="(isHandset$ | async) === false"
    >
      <mat-nav-list (click)="shouldCloseDrawer()">
        <a
          mat-list-item
          class="list-item"
          routerLink="/"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
          ><mat-icon>home</mat-icon>
          <span style="margin-left: 10px">Home</span></a
        >
        <a
          mat-list-item
          class="list-item"
          routerLink="/songs"
          routerLinkActive="active"
          ><mat-icon>library_music</mat-icon>
          <span style="margin-left: 10px">Music</span></a
        >
        <a
          mat-list-item
          class="list-item"
          routerLink="/books"
          routerLinkActive="active"
          ><mat-icon>book</mat-icon>
          <span style="margin-left: 10px">Books</span></a
        >
      </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content>
      <!-- Add Content Here -->
      <div class="content-wrapper">
        <router-outlet></router-outlet>
      </div>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
